import cv2


class dataHelp():
    """
    获取视频时长
    """
    @classmethod
    def video_duration(cls, filename):
        cap = cv2.VideoCapture(filename)
        if cap.isOpened():
            rate = cap.get(5)
            frame_num = cap.get(7)
            duration = frame_num / rate
            return duration
        return 0



if __name__ == '__main__':

    a = dataHelp.video_duration("/Users/tzld/Desktop/video_rewriting/path/aiyuepw_video.mp4")
    print(a)